API referenceWhatsapp messages
PATCH
/whatsapp/api/v1/messages/{id}

Only a message this number sent (403 otherwise), within 15 minutes of sending it (422 after).

Authorization

X-API-KEY<token>

Your API key from the console (gw_live_…).

In: header

Path Parameters

id*string

A WhatsApp message id (wam_…), as listed in a chat's messages.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/whatsapp/api/v1/messages/wam_P7tR2wQ9zL4kN8vX" \  -H "Content-Type: application/json" \  -d '{    "text": "See you tomorrow at 10."  }'
{  "object": "MessagePatched"}